Index: uspace/lib/c/arch/ia64/src/fibril.S
===================================================================
--- uspace/lib/c/arch/ia64/src/fibril.S	(revision fd57cf17d12bbe3b41626a0b8708f075134a073e)
+++ uspace/lib/c/arch/ia64/src/fibril.S	(revision 0aa06cbe8a6965cc7f1ebfa7236bcd8d5316da16)
@@ -28,5 +28,5 @@
 
 #include <abi/asmtool.h>
-#include <libarch/fibril_context.h>
+#include <libarch/fibril_context.ag.h>
 
 .text
Index: uspace/lib/c/arch/mips32/Makefile.inc
===================================================================
--- uspace/lib/c/arch/mips32/Makefile.inc	(revision fd57cf17d12bbe3b41626a0b8708f075134a073e)
+++ uspace/lib/c/arch/mips32/Makefile.inc	(revision 0aa06cbe8a6965cc7f1ebfa7236bcd8d5316da16)
@@ -37,6 +37,5 @@
 
 ARCH_AUTOGENS_AG = \
-	arch/$(UARCH)/include/libarch/istate_struct.ag \
-	arch/$(UARCH)/include/libarch/fibril_context.ag
+	arch/$(UARCH)/include/libarch/fibril_context.ag.h
 
 EXTRA_OUTPUT += arch/$(UARCH)/src/entry.o
Index: uspace/lib/c/arch/mips32eb/Makefile.inc
===================================================================
--- uspace/lib/c/arch/mips32eb/Makefile.inc	(revision fd57cf17d12bbe3b41626a0b8708f075134a073e)
+++ uspace/lib/c/arch/mips32eb/Makefile.inc	(revision 0aa06cbe8a6965cc7f1ebfa7236bcd8d5316da16)
@@ -37,6 +37,5 @@
 
 ARCH_AUTOGENS_AG = \
-	arch/$(UARCH)/include/libarch/istate_struct.ag \
-	arch/$(UARCH)/include/libarch/fibril_context.ag
+	arch/$(UARCH)/include/libarch/fibril_context.ag.h
 
 EXTRA_OUTPUT += arch/$(UARCH)/src/entry.o
Index: uspace/lib/c/arch/ppc32/Makefile.inc
===================================================================
--- uspace/lib/c/arch/ppc32/Makefile.inc	(revision fd57cf17d12bbe3b41626a0b8708f075134a073e)
+++ uspace/lib/c/arch/ppc32/Makefile.inc	(revision 0aa06cbe8a6965cc7f1ebfa7236bcd8d5316da16)
@@ -37,6 +37,5 @@
 
 ARCH_AUTOGENS_AG = \
-	arch/$(UARCH)/include/libarch/istate_struct.ag \
-	arch/$(UARCH)/include/libarch/fibril_context.ag
+	arch/$(UARCH)/include/libarch/fibril_context.ag.h
 
 EXTRA_OUTPUT += arch/$(UARCH)/src/entry.o
Index: uspace/lib/c/arch/riscv64/Makefile.inc
===================================================================
--- uspace/lib/c/arch/riscv64/Makefile.inc	(revision fd57cf17d12bbe3b41626a0b8708f075134a073e)
+++ uspace/lib/c/arch/riscv64/Makefile.inc	(revision 0aa06cbe8a6965cc7f1ebfa7236bcd8d5316da16)
@@ -36,6 +36,5 @@
 
 ARCH_AUTOGENS_AG = \
-	arch/$(UARCH)/include/libarch/istate_struct.ag \
-	arch/$(UARCH)/include/libarch/fibril_context.ag
+	arch/$(UARCH)/include/libarch/fibril_context.ag.h
 
 EXTRA_OUTPUT += arch/$(UARCH)/src/entry.o
Index: uspace/lib/c/arch/sparc64/Makefile.inc
===================================================================
--- uspace/lib/c/arch/sparc64/Makefile.inc	(revision fd57cf17d12bbe3b41626a0b8708f075134a073e)
+++ uspace/lib/c/arch/sparc64/Makefile.inc	(revision 0aa06cbe8a6965cc7f1ebfa7236bcd8d5316da16)
@@ -36,6 +36,5 @@
 
 ARCH_AUTOGENS_AG = \
-	arch/$(UARCH)/include/libarch/istate_struct.ag \
-	arch/$(UARCH)/include/libarch/fibril_context.ag
+	arch/$(UARCH)/include/libarch/fibril_context.ag.h
 
 EXTRA_OUTPUT += arch/$(UARCH)/src/entry.o
